using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "block")]
public class Block : Script, IScriptOnSecondaryEffect
{
    private static StringKey GhostTypeName => new("ghost");

    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.Types.Any(x => x.Name == GhostTypeName))
            return;
        target.Volatile.Add(new BlockEffect());
    }
}